#include "testlib.h"
#include <string>

using namespace std;

string compress(string s) {
	if (s.length() <= 100) return s;
	return s.substr(0, 50) + ".." + s.substr(s.length() - 25);
}

string upperCase(string s) {
	int ls = s.length();
	for (int i = 0; i < ls; ++i)
		if (s[i] >= 'a' && s[i] <= 'z') s[i] -= 32;
	return s;
}

int main(int argc, char * argv[]) {
	registerTestlibCmd(argc, argv);
	string ja = ans.readString();
	string pa = ouf.readString();
	if (upperCase(ja) != upperCase(pa)) quitf(_wa, "Expected \"%s\" but \"%s\" found", compress(ja).c_str(), compress(pa).c_str());
	quitf(_ok, "1 line");
	return 0;
}